=== debian/changelog ===
zeroc-ice (3.5.1-6) unstable; urgency=medium

  * Bug fix: "Depends on obsolete version of Ruby (1.9)", thanks to
    Christian Hofstaedtler (Closes: #743992). Thanks Cédric Boutillier for
    the patch.

 -- Cleto Martín <cleto@debian.org>  Sat, 26 Apr 2014 14:17:00 +0100

zeroc-ice (3.5.1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Conflict/Replace on libzeroc-ice3.3-java as well (Closes: #737204)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 23 Mar 2014 14:53:15 +0000

zeroc-ice (3.5.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Manually remove symlinks to python extensions. Closes: #734292.
  * Do not hardcode the php abi in the control and install files.
  * Bump dependencies from libdb5.1-java, to libdb5.3-java.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Feb 2014 09:51:05 +0100

zeroc-ice (3.5.1-5) unstable; urgency=low

  * Improving patch for hurd.
  * Building to unstable
  * New Standards-Version

 -- Cleto Martín <cleto@debian.org>  Fri, 20 Dec 2013 09:04:26 +0000

zeroc-ice (3.5.1-4) experimental; urgency=low

  * Fixing FTBFS for hurd

 -- Cleto Martín <cleto@debian.org>  Mon, 16 Dec 2013 21:33:57 +0000

zeroc-ice (3.5.1-3) experimental; urgency=low

  * Fixing FTBFS for kfreebsd and powerpc

 -- Cleto Martín <cleto@debian.org>  Mon, 25 Nov 2013 18:55:30 +0000

zeroc-ice (3.5.1-2) experimental; urgency=low

  * Bug fix: "wrongly sets LP64=no", thanks to Steven Chamberlain (Closes:
    #729262).
  * Bug fix: "rename the package ruby-zeroc-ice and install in
    /usr/lib/ruby/vendor_ruby", thanks to Cédric Boutillier (Closes:
    #727107).

 -- Cleto Martín <cleto@debian.org>  Sat, 16 Nov 2013 22:43:41 +0000

zeroc-ice (3.5.1-1) experimental; urgency=low

  * New upstream release
  * Adding icegrid-gui package without javafx code
  * Bump to 1.9.1 version for ruby.
  * Bug fix: "templates.xml appears compresed (.gz)", thanks to Oscar
    Aceña Herrera (Closes: #724745).
  * Bug fix: "zeroc-ice uses deprecated find -perm +xxx syntax, please
    switch to find -perm /+++", thanks to Andreas Metzler (Closes:
    #724773). No more needed.
  * Using version values hardcoded to avoid lintian errores at
    debian/control.
  * Removing relative paths from ClassPath.
  * Bug fix: "New upstream version 3.5.1 available", thanks to Roger Leigh
    (Closes: #726246).

 -- Cleto Martín <cleto@debian.org>  Tue, 15 Oct 2013 20:39:10 +0100

zeroc-ice (3.5.0-3) unstable; urgency=low

  * Porting to unstable (thanks to Roger Leigh for helping).
  * Removing an invalid use of substitution at debian/control.

 -- Cleto Martín <cleto@debian.org>  Mon, 12 Aug 2013 20:17:34 +0100

zeroc-ice (3.5.0-2) experimental; urgency=low

  * Fixing php installation directory.
  * Bug fix: "FTBFS in python3-zeroc-ice package", thanks to A. Maitland
    Bottoms (Closes: #718990).

 -- Cleto Martín <cleto@debian.org>  Wed, 07 Aug 2013 18:12:20 +0100

zeroc-ice (3.5.0-1) experimental; urgency=low

  [ Cleto Martín ]
  * Improving and simplifying php-zeroc-ice maintainer scripts
  * Number of processors calculated at debian/rules
  * Removing useless .ini at debian/php-zeroc-ice.postinst
  * Bug fixed by upstream: "Does not listen on IPv6 by default", thanks to
    Roger Leigh (Closes: #685030). See release notes.
  * Fixed archs and without-test-demo-compilation patches.
  * Adding python3 support.
  * Bug fix: "python3 support for ZeroC Ice", thanks to Oscar Aceña
    Herrera (Closes: #716758).
  * Bug fix: "Newer version 3.5.0 released", thanks to A. Maitland Bottoms
    (Closes: #714894).

  [ Francisco Moya ]
  * New upstream release
  * Restored default IceGrid templates

  [Roger Leigh]
  * Removing useless patches
  * Narrowing patch allows use of -Werror
  * Patch correct /usr/share location into iceca
  * Update pkg-config files for 3.5

 -- Cleto Martín <cleto@debian.org>  Tue, 30 Jul 2013 19:43:12 +0100

zeroc-ice (3.5~beta1-4) experimental; urgency=low

  * FIXME

 -- Cleto Martín <cleto@debian.org>  Tue, 26 Jan 2013 23:07:11 +0100

zeroc-ice (3.5~beta1-3) experimental; urgency=low

  * FIXME

 -- Cleto Martín <cleto@debian.org>  Tue, 25 Jan 2013 23:07:11 +0100

zeroc-ice (3.5~beta1-2) experimental; urgency=low

  * Bug fix: "php-zeroc-ice in wheezy using php API 2009 instead of
    2010?", thanks to Michael Heide (Closes: #688959).
  * Bug fix: "Please make use of new php5enmod and php5dismod commands in
    your package", thanks to Debian PHP maintainers (Closes: #667789).
  * Avoid java and cs build if not required.

 -- Cleto Martín <cleto@debian.org>  Tue, 22 Jan 2013 23:07:11 +0100

zeroc-ice (3.5~beta1-1) experimental; urgency=low

  * New upstream release
  * Dropping useless stuff:
    - debian/patches.old directory
    - debian/rules (CDBS vars and rules)
  * Adding debian/clean for removing files and simplify clean targets
  * Adding multiarch support
  * Updating to debhelper 9
  * Using hardening-wrapper temporaly for avoiding hardening issues
    - Need to patch the build system
  * Removing icegrid-gui due to javafx

 -- Cleto Martín <cleto@debian.org>  Fri, 28 Dec 2012 01:22:00 +0100

zeroc-ice (3.4-9) UNRELEASED; urgency=low

  * Fixed PHP support (again) with patch from ZeroC forums.
  * Added Patch#3 from ZeroC.
  * Fixed Java depends to allow coexistence with non-default JRE.
  * Removed dependency on librt.
  * Added ${python:Depends} to libicessl34 deps.

 -- Francisco Moya <paco@debian.org>  Thu, 15 Mar 2012 15:48:23 +0100

zeroc-ice (3.4-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Revert the patch 'fixing' the FTBFS with gcc-4.7 that breaks ABI, and
    add force_gcc_4.6.patch.  We need to do this all in the upstream makefile
    because it has a silly check for the intel icpc compiler that we need to
    patch around or the build will fail with anything but c++ as the compiler,
    and we can't just override CXX in /rules because the wonderful 3.0 (quilt)

