=== debian/watch ===
# watch file for uscan
version=3
http://www.zeroc.com/download.html#src (?:.*/)?Ice-?_?([\w+\d+\.]+|\d+)(?:\.tar|\.tgz)(?:\.gz|\.bz2|) debian uupdate
