## zeroc-ice 3.5.1-5.2+7.0trisquel1

=== cpp/Makefile ===
--- 
+++ 
@@ -11,10 +11,10 @@
 
 include $(top_srcdir)/config/Make.rules
 
-SUBDIRS		= config src include test
+SUBDIRS		= config src include
 
 ifeq ($(shell uname | grep MINGW),)
-SUBDIRS		:= $(SUBDIRS) demo
+SUBDIRS		:= $(SUBDIRS)
 endif
 
 INSTALL_SUBDIRS	= $(install_bindir) $(install_libdir) $(install_includedir) \
