=== php/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 include $(top_srcdir)/config/Make.rules.php
 
-SUBDIRS		= src lib demo test
+SUBDIRS		= src lib
 INSTALL_SUBDIRS = $(install_phpdir) $(install_libdir)
 
 install:: install-common
