=== debian/changelog ===
zeroc-ice (3.5.1-5.2+7.0trisquel1) belenos; urgency=medium

  * Remove references to nonfree manual, #7963

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 31 May 2015 12:03:30 +0000
