=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 	       python-all-dev (>= 2.3.5-11),
 	       python3-all-dev,
 	       php5-dev (>= 5.4.0~rc6),
-	       ruby-dev,
-	       ruby,
+	       ruby1.9.1-dev,
+	       ruby1.9.1,
 	       libqt4-dev,
 Build-Depends-Indep: mono-devel | c-sharp-2.0-compiler,
 		     libmono2.0-cil,
@@ -63,8 +63,7 @@
  .
  This metapackage contains dependencies for all Ice related packages.
  You will find further information in the ZeroC home page
- (http://www.zeroc.com/ice.html) and in the non-free package
- zeroc-ice-manual.
+ (http://www.zeroc.com/ice.html).
 
 Package: ice35-translators
 Architecture: any
@@ -91,8 +90,7 @@
  This package contains all the Slice translators (slice2cpp, slice2py,
  slice2cs, slice2java, slice2vb, slice2rb, slice2freeze,
  slice2freezej, slice2docbook, and slice2html).  You will find further
- information in the ZeroC home page (http://www.zeroc.com/ice.html)
- and in the non-free package zeroc-ice-manual.
+ information in the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: ice35-services
 Architecture: any
@@ -114,8 +112,7 @@
  .
  This package contains binaries for all Ice services (IceGrid,
  IceStorm, IcePatch2, Glacier2 and Freeze).  You will find further
- information in the ZeroC home page (http://www.zeroc.com/ice.html)
- and in the non-free package zeroc-ice-manual.
+ information in the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: libicestorm35
 Architecture: any
@@ -136,8 +133,7 @@
  .
  This package provides the IceStorm related libraries, an asynchronous
  event propagation service provided by Ice.  You will find further
- information in the ZeroC home page (http://www.zeroc.com/ice.html)
- and in the non-free package zeroc-ice-manual.
+ information in the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: libicegrid35
 Architecture: any
@@ -159,8 +155,7 @@
  This package provides the IceGrid related libraries, a complete grid
  management solution included in Ice. This service was formerly known
  as IcePack.  You will find further information in the ZeroC home page
- (http://www.zeroc.com/ice.html) and in the non-free package
- zeroc-ice-manual.
+ (http://www.zeroc.com/ice.html).
 
 Package: libicebox35
 Architecture: any
@@ -181,8 +176,7 @@
  This package provides the IceBox related libraries, a general purpose
  plug-in based application development framework for Ice applications.
  You will find further information in the ZeroC home page
- (http://www.zeroc.com/ice.html) and in the non-free package
- zeroc-ice-manual.
+ (http://www.zeroc.com/ice.html).
 
 Package: icebox
 Architecture: any
@@ -200,8 +194,7 @@
  This package provides the IceBox related utilities, a general purpose
  plugin-based application development framework for Ice applications.
  You will find further information in the ZeroC home page
- (http://www.zeroc.com/ice.html) and in the non-free package
- zeroc-ice-manual.
+ (http://www.zeroc.com/ice.html).
 
 Package: libicepatch2-35
 Architecture: any
@@ -222,8 +215,7 @@
  This package provides the IcePatch2 related libraries, a remote
  filesystem synchronization framework included in Ice.  You will find
  further information in the ZeroC home page
- (http://www.zeroc.com/ice.html) and in the non-free package
- zeroc-ice-manual.
+ (http://www.zeroc.com/ice.html).
 
 Package: libglacier2-35
 Architecture: any
@@ -243,8 +235,7 @@
  .
  This package provides the Glacier2 related libraries, a firewall
  solution for Ice applications.  You will find further information in
- the ZeroC home page (http://www.zeroc.com/ice.html) and in the
- non-free package zeroc-ice-manual.
+ the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: libfreeze35
 Architecture: any
@@ -264,8 +255,7 @@
  .
  Freeze is the persistence framework included in Ice. This package
  installs the freeze libraries.  You will find further information in
- the ZeroC home page (http://www.zeroc.com/ice.html) and in the
- non-free package zeroc-ice-manual.
+ the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: libicedb35
 Architecture: any
@@ -285,8 +275,7 @@
  .
  Freeze is the persistence framework included in Ice. This package
  installs the Berkeley DB libraries for Freeze. You will find further
- information in the ZeroC home page (http://www.zeroc.com/ice.html)
- and in the non-free package zeroc-ice-manual.
+ information in the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: ice35-slice
 Architecture: all
@@ -300,3 +289,16 @@
  Internet communications platform, Ice includes a wealth of layered
  services and plug-ins.
  .
+ Ice is built on concepts which will be familiar to CORBA programmers,
+ and supports a wide variety of programming languages and runtime
+ platforms. Slice is the interface description language used in Ice.
+ .
+ This package installs the Slice definitions of standard Ice services
+ on /usr/share/slice.  You will find further information in the ZeroC
+ home page (http://www.zeroc.com/ice.html).
+
+Package: libzeroc-ice35
+Architecture: any
+Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
